apt 3.2.0 commandline package manager

List of all members
Bz2FileFdPrivate Class Reference
Inheritance diagram for Bz2FileFdPrivate:

## Additional Inherited Members
Public Member Functions inherited from FileFdPrivate
| FileFdPrivate (FileFd *const pfilefd)
virtual APT::Configuration::Compressor | get_compressor () const
virtual void | set_compressor (APT::Configuration::Compressor const &compressor)
virtual unsigned int | get_openmode () const
virtual void | set_openmode (unsigned int openmode)
virtual bool | get_is_pipe () const
virtual void | set_is_pipe (bool is_pipe)
virtual unsigned long long | get_seekpos () const
virtual void | set_seekpos (unsigned long long seekpos)
virtual bool | InternalOpen (int const iFd, unsigned int const Mode)=0
ssize_t | InternalRead (void *To, unsigned long long Size)
virtual ssize_t | InternalUnbufferedRead (void *const To, unsigned long long const Size)=0
virtual bool | InternalReadError ()
virtual char * | InternalReadLine (char *To, unsigned long long Size)
virtual bool | InternalFlush ()
virtual ssize_t | InternalWrite (void const *const From, unsigned long long const Size)=0
virtual bool | InternalWriteError ()
virtual bool | InternalSeek (unsigned long long const To)
virtual bool | InternalSkip (unsigned long long Over)
virtual bool | InternalTruncate (unsigned long long const)
virtual unsigned long long | InternalTell ()
virtual unsigned long long | InternalSize ()
virtual bool | InternalClose (std::string const &FileName)=0
virtual bool | InternalStream () const
virtual bool | InternalAlwaysAutoClose () const
Protected Attributes inherited from FileFdPrivate
FileFd *const | filefd
simple_buffer | buffer
int | compressed_fd
pid_t | compressor_pid
bool | is_pipe
APT::Configuration::Compressor | compressor
unsigned int | openmode
unsigned long long | seekpos

The documentation for this class was generated from the following file:

- apt-pkg/contrib/fileutl.cc